=== debian/changelog ===
glite-lb-ws-test (1.3.0-5) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:54:58 +0200
