=== debian/control ===
Source: glite-lb-ws-test
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, gsoap, glite-lb-ws-interface, libglite-lbjp-common-gsoap-plugin-dev, libtool
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-ws-test
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lb-ws-interface
Description: Tests and usage examples of L&B WS interface
 Tests and usage examples of L&B WS
 interface.

Package: glite-lb-ws-test-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-ws-test (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B Web Service tests debugging symbols
 This package contains debugging symbols for gLite L&B Web Service tests.
