=== debian/changelog ===
glite-lb-ws-test (1.3.1-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:26:52 +0200
