## glite-lb-ws-test 1.4.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 top_srcdir=..
 stagedir=.
+package=glite-lb-ws-test
 version=0.0.0
 PREFIX=/opt/glite
 prefix=
@@ -12,16 +13,24 @@
 classads_prefix=/opt/classads
 voms_prefix=/opt/voms
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
+SOURCES=\
+	examples/*.c examples/*.h examples/*.pl examples/ws_typemap.dat \
+	tests/*.c \
+	Makefile
+SOURCES_EXEC=examples/*.sh
+
 CEXAMPLES:=ws_getversion ws_jobstat ws_joblog ws_lb4agu_GetActivityStatus ws_lb4agu_GetActivityInfo
 #TODO ws_query_ex 
 TESTS:=sizeof_soap_test
 
-default all: ${CEXAMPLES}
+all: ${CEXAMPLES}
 
 GLOBUS_GSSAPI_GSI_CFLAGS?=-I${globus_prefix}/include/${nothrflavour}
 
@@ -33,12 +42,15 @@
 
 VPATH=${top_srcdir}/examples:${top_srcdir}/tests
 CC=gcc
+
+GLITE_LBJP_COMMON_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gsoap-plugin --cflags`
+
 DEBUG:=-g -O0 -Wall
 CFLAGS:=${CFLAGS} -I${gsoap_prefix}/include -I${gsoap_prefix}/ \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
 	${GLOBUS_GSSAPI_GSI_CFLAGS} \
 	${GSOAP_CFLAGS} \
-	${DEBUG}
+	${DEBUG} ${GLITE_LBJP_COMMON_CFLAGS} ${CFLAGS}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
 LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
@@ -85,6 +97,7 @@
 
 clean:
 	rm -rvf .libs LB.xh *.xml ${GSOAP_FILES_PREFIX}* *.o *.lo *.nsmap soap_version.h ${CEXAMPLES} ${TESTS}
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -97,4 +110,4 @@
 	perl -ne '$$. == 2 && /.*([0-9]+)\.([0-9]+)\.([0-9]+)([a-z]?).*/ && printf "#define GSOAP_VERSION %d%02d%02d\n#define GSOAP_VERSION_LETTER '\''".($$4?$$4:"\\0")."'\''\n",$$1,$$2,$$3' soapH.h >$@
 	-rm soapC.cpp soapH.h soapStub.h soapClient.cpp soapServer.cpp soapClientLib.cpp soapServerLib.cpp
 
-.PHONY: default all check stage install clean distclean
+.PHONY: default all check stage install clean distclean dist distcheck
