## glite-lb-ws-test 1.4.8

=== debian/changelog ===
glite-lb-ws-test (1.4.8-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:04 +0200
