=== debian/changelog ===
glite-lb-ws-test (1.4.9-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:41 +0100
