=== debian/control ===
--- 
+++ 
@@ -23,5 +23,5 @@
 Architecture: any
 Priority: extra
 Depends: glite-lb-ws-test (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B Web Service tests debugging symbols
+Description: Debugging symbols for gLite L&B Web Service tests
  This package contains debugging symbols for gLite L&B Web Service tests.
