=== debian/control ===
Source: glite-lb-ws-test
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), gsoap, glite-lb-ws-interface, libglite-lbjp-common-gsoap-plugin-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch

Package: glite-lb-ws-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tests and usage examples of L&B Web Service interface
 Tests and usage examples of Logging and Bookkeeping Web Service
 interface.

Package: glite-lb-ws-test-dbg
Section: debug
Architecture: any
Depends: glite-lb-ws-test (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B Web Service tests
 Tests and usage examples of Logging and Bookkeeping Web Service
 interface.
 .
 This package contains debugging symbols for gLite L&B Web Service tests.
