=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.ws-test/glite-lb-ws-test-(.*)\.tar\.gz
